<template>
  <v-row class="mx-auto d-flex flex-row align-center" justify="end">
    <template v-if="editMode">
      <v-text-field class="mx-2 pa-2" variant="solo" placeholder="Enter your name" single-line hide-details clearable
        v-model="editedFname" @keydown.enter="updateFname"></v-text-field>
      <v-btn @click="updateFname" style="background-color: #4CAF50; color: white;">
        <v-icon icon="mdi mdi-check-bold"></v-icon>
      </v-btn>
    </template>

    <!-- <v-btn icon @click="toggleEdit" variant="text">
        <v-icon v-if="!editMode" color="primary">mdi-pencil</v-icon>
        <v-icon v-else color="error">mdi-close</v-icon>
      </v-btn> -->
  </v-row>
</template>
  
<script>
export default {
  props: {
    newFname: {
      type: String,
      required: true,
    },
  },
  data() {
    return {
      editMode: true,
      editedFname: '',
    };
  },
  watch: {
    // Update var when prop change
    newFname(newValue) {
      this.editedFname = newValue;
    },
  },
  methods: {
    toggleEdit() {
      this.editMode = !this.editMode;
      if (this.editMode) {
        this.editedFname = this.newFname;
      }
    },
    // sent var fname
    updateFname() {
      if (this.editedFname) {
         // Save editedFname in local storage
    localStorage.setItem('editedFname', this.editedFname);
    
        this.$emit('update-fname', this.editedFname);
        // this.editMode = false;
        console.log('name update to', this.editedFname);
      }
    },
  },
};
</script>
  